Уголок новичка
   717

[РЕШЕНО] Не устанавливаются несвободные драйвера nvidia на Manjaro KDE-minimal

Примерно неделю назад установил сборку Manjaro KDE-minimal.

Сборку взял отсюда manjaro.ru/blog/manjaro-kde-edition/kde-minimal-stable-setting-up.html.

Что я пробовал сделать:
1) Установить драйвер через Manjaro Settings Mangeger => Hardware Detection => Автоустоновка Несвободный драйвер. После чего выводится ошибка.
2) Установить драйвер через Manjaro Settings Mangeger => Hardware Detection => установить => video-nvidia-340xx. После чего выводится ошибка.
3) Установить драйвер через Manjaro Settings Mangeger => Hardware Detection => установить => video-nvidia-304xx. После чего выводится та же ошибка, но уже с драйвером video-nvidia-304xx
4) Удалить драйвер через Manjaro Settings Mangeger => Hardware Detection => удалить => video-nouveau. А потом повторить, пункты 1, 2 и 3. В общем везде результат примерно одинаковый, выводится одна и та же ошибка, единственное если, когда я устанавливаю драйвер video-nvidia-304xx, то в этой ошибке фигурирует он. После не удачи, драйвер video-nouveau ставлю на место.
5) Если пойти по другому пути через Параметры системы => Hardware Detection => повторить манипуляции с драйверами из пунктов 2, 3 и 4 то пишет что «Done ...», как я понял, это значит готово. При этом после каждого закрытия этого окно с информации, все галочки остаются на месте. А если просто нажать Автоустоновка Несвободный драйвер. То из этого приложения просто выкидывает.
6) Пробовал делать тоже самое из пункта 5, но последующей перезагрузкой. Единственное не стал рисковать удалением из 4-го пункта.

____Сама ошибка____

Installing driver…

> Using config 'video-nvidia-340xx' for device: 0000:01:00.0 (0300:10de:0402) Display controller nVidia Corporation GeForce 8600 GT
> Installing video-nvidia-340xx…
Using default
Has lib32 support: true
Sourcing /var/lib/mhwd/db/pci/graphic_drivers/nvidia-340xx/MHWDCONFIG
Processing classid: 0300
Sourcing /var/lib/mhwd/scripts/include/0300
Processing classid: 0302
:: Обновление баз данных пакетов…
core не устарел
extra не устарел
community не устарел
multilib не устарел
разрешение зависимостей…
проверка конфликтов…

Пакеты (3) lib32-nvidia-340xx-utils-340.98-1 linux44-nvidia-340xx-340.98-9 nvidia-340xx-utils-340.98-1

Будет установлено: 226,93 MiB

:: Приступить к установке? [Y/n]
проверка связки ключей…
проверка целостности пакета…
загрузка файлов пакетов…
проверка возможных конфликтов файлов…
ошибка: не удалось завершить транзакцию (конфликтующие файлы)
nvidia-340xx-utils: '/usr/lib/nvidia/libEGL.so' существует в файловой системе
nvidia-340xx-utils: '/usr/lib/nvidia/libEGL.so.1' существует в файловой системе
nvidia-340xx-utils: '/usr/lib/nvidia/libGL.so' существует в файловой системе
nvidia-340xx-utils: '/usr/lib/nvidia/libGL.so.1' существует в файловой системе
nvidia-340xx-utils: '/usr/lib/nvidia/libGLESv1_CM.so' существует в файловой системе
nvidia-340xx-utils: '/usr/lib/nvidia/libGLESv1_CM.so.1' существует в файловой системе
nvidia-340xx-utils: '/usr/lib/nvidia/libGLESv2.so' существует в файловой системе
nvidia-340xx-utils: '/usr/lib/nvidia/libGLESv2.so.2' существует в файловой системе
lib32-nvidia-340xx-utils: '/usr/lib32/nvidia/libEGL.so' существует в файловой системе
lib32-nvidia-340xx-utils: '/usr/lib32/nvidia/libEGL.so.1' существует в файловой системе
lib32-nvidia-340xx-utils: '/usr/lib32/nvidia/libGL.so' существует в файловой системе
lib32-nvidia-340xx-utils: '/usr/lib32/nvidia/libGL.so.1' существует в файловой системе
lib32-nvidia-340xx-utils: '/usr/lib32/nvidia/libGLESv1_CM.so' существует в файловой системе
lib32-nvidia-340xx-utils: '/usr/lib32/nvidia/libGLESv1_CM.so.1' существует в файловой системе
lib32-nvidia-340xx-utils: '/usr/lib32/nvidia/libGLESv2.so' существует в файловой системе
lib32-nvidia-340xx-utils: '/usr/lib32/nvidia/libGLESv2.so.2' существует в файловой системе
Обнаружены ошибки, пакеты не обновлены.
Error: pacman failed!
Error: script failed!

-> Ошибка процесса!

10 комментариев

avatar
Напишите сюда вывод команды
sudo pacman -Qo /usr/lib/nvidia/libGLESv2.so 
Последний раз редактировалось
+1
avatar
/usr/lib/nvidia/libGLESv2.so принадлежит libglvnd 0.1.1.20161028-1
0
avatar
Удалите пакеты libglvnd и lib32-libglvnd
+3
avatar
Большое спасибо, вы меня очень выручили, столько времени потратил на это, а решения оказалось простое! Попробовал удалить эти пакеты.

sudo pacman -Rns lib32-libglvnd libglvnd

После чего использовать этот вариант «Установить драйвер через Manjaro Settings Mangeger => Hardware Detection => Автоустоновка Несвободный драйвер», перезагрузил систему для проверки и все сработало!
Последний раз редактировалось
+1
avatar
Давненько заметил, что Manjaro при установке почему-то лепит проприетарные драйвера на AMD… Теперь понимаю что не только на красных, но и на зеленых… жесть!
?
СкаженЭ КотЭ в кедах =(^_^)=
KDE-Minimal Setting-Up
0
avatar
У себя ничего такого не наблюдаю.
0
avatar
Нет же, какие драйвера при загрузке с Live USB выбираешь, те и устанавливаются
?
Свежие новости мира информационных технологий ТехноДжем
0
avatar
Ого, не знал, что перед установка с Live USB, можно с начало выбрать драйвера. Я обычно всегда это делал уже после установки. Вот сейчас возник вопрос, а как это можно сделать, запустить на том же Live USB Manjaro Settings Mangeger => Hardware Detection и выбрать там не обходимые драйвера?
Последний раз редактировалось
0
avatar
Последний раз редактировалось
0
avatar
Последний раз редактировалось
0
Только зарегистрированные и авторизованные пользователи могут оставлять комментарии.